Subject: bug#3863: 23.1.50; possible save-match-data in copyright.el

From: Stefan Monnier <[email-masked]>
Date: Fri, 17 Jul 2009 12:00:36 -0400

>>> I'm not sure what you're referring to.  What other code runs during
>>> y-or-n-p (excluding timers, which are supposed to save the match data)?
>> 
>> Timers,

> As the Lisp manual states,

>      If a timer function calls functions that can change the match data,
>   it should save and restore the match data.

> If a timer fails to do this, it's a bug, and should be fixed.

Wonderful, so we all agree there's no need to make y-or-n-p save the
match-data.

        Stefan